List Passwords V2 Using GET

List Passwords V2 Using GET

Get paginated list of Passwords available in the Store

Request
URI
GET
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/locker/api/v2/passwords
COPY
Query Parameters
integer
size
Optional

size

integer
from
Optional

from

string of array
aliasQuery
Optional

aliasQuery


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PasswordPageDTO of type(s) application/json
{
    "page": 0,
    "passwords": [
        {
            "alias": "string",
            "createdOn": 0,
            "lastUpdatedOn": 0,
            "password": "string",
            "passwordDescription": "string",
            "principal": "string",
            "referenced": false,
            "transactionId": "string",
            "userName": "string",
            "vmid": "string"
        }
    ],
    "total": 0
}
integer As int64 As int64
page
Optional

page

passwords
Optional

passwords

integer As int64 As int64
total
Optional

total


400

Bad Request

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status